const styleLoader = require('../config/styles-loader');
const sassLoader = require.resolve('sass-loader');
const stylusLoader = require.resolve('stylus-loader');

module.exports = {
  CSS: {
    default: true,
    get: styleLoader(undefined, /\.css$/, /\.module\.css$/),
  },
  SASS: {
      get: styleLoader(sassLoader, /\.s[ac]ss$/, /\.module\.s[ac]ss$/),
  },
  STYLUS: {
      get: styleLoader(stylusLoader, /\.styl/, /\.module\.styl/),
  },
  SASS_MODULES: {
    get: styleLoader(sassLoader, /\.module\.s[ac]ss$/, undefined, true),
  },
  STYLUS_MODULES: {
    get: styleLoader(stylusLoader, /\.module\.styl/, undefined, true),
  },
  CSS_MODULES: {
      get: styleLoader(undefined, /\.module\.css$/, undefined, true),
  },
  GRAPHQL: {
    get: () => {
      return {
        test: /\.(graphql)$/,
        loader: 'graphql-tag/loader',
      };
    },
  },
};
